JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes
juce_AudioProcessor.h File Reference

## Classes
class | AudioProcessor
| Base class for audio processing classes or plugins. More...
struct | AudioProcessor::BusesLayout
| Represents the bus layout state of a plug-in. More...
class | AudioProcessor::Bus
| Describes the layout and properties of an audio bus. More...
struct | AudioProcessor::CurveData
| Some plug-ins support sharing response curve data with the host so that it can display this curve on a console or in the mixer panel. More...
struct | AudioProcessor::TrackProperties
| A struct containing information about the DAW track inside which your AudioProcessor is loaded. More...
struct | AudioProcessor::BusProperties
| Structure used for AudioProcessor Callbacks. More...
struct | AudioProcessor::BusesProperties
| Structure used for AudioProcessor Callbacks. More...